﻿using SecuritySystemDataModels.Models;

namespace SecuritySystemContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string Name { get; set; } = string.Empty;
        public string Address { get; set; } = string.Empty;
        public DateTime OpeningDate { get; set; }
        public int MaxSecuresCount { get; set; }
        public Dictionary<int, (ISecureModel, int)> ShopSecures { get; set; } = new();
    }
}
