﻿using SecuritySystemDataModels.Models;
using System.ComponentModel;

namespace SecuritySystemContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Адрес")]
        public string Address { get; set; } = string.Empty;
        [DisplayName("Макс. кол-во товара")]
        public int MaxSecuresCount { get; set; }
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }
        public Dictionary<int, (ISecureModel, int)> ShopSecures { get; set; } = new();
    }
}
