﻿namespace SecuritySystemDataModels.Models
{
    public interface IShopModel : IId
    {
        string Name { get; }
        string Address { get; }
        DateTime OpeningDate { get; }
        int MaxSecuresCount { get; }
        Dictionary<int, (ISecureModel, int)> ShopSecures { get; }
    }
}
